Page MenuHomePhabricator

Deploy scap 3.11.1-1
Closed, ResolvedPublic

Description

The release branch for scap has tags for 3.11.1-1

Instructions available on Wikitech.

This is a bugfix release (with additional test udpates):

scap (3.11.1-1) unstable; urgency=low

  [ Tyler Cipriani ]
  * debian packaging: depend on python-concurrent.futures

  [ Mark Bergsma ]
  * Add unit testing of scap main.py

  [ Giuseppe Lavagetto ]
  * Add tests for scap.cli

  [ Effie Mouzeli ]
  * Add more tests for main (Bug: T216518)

  [ Tyler Cipriani ]
  * refreshMessageBlobs: don't run on scap pull (Bug: T228328)

 -- Tyler Cipriani <tcipriani@wikimedia.org>  Thu, 18 Jul 2019 15:50:24 -0600

Event Timeline

thcipriani moved this task from Needs triage to External/Watching on the Scap board.

Mentioned in SAL (#wikimedia-operations) [2019-07-18T23:50:46Z] <mutante> built new scap version 3.11.1-1 on boron, copied to install1002, imported package with reprepro, copied from stretch to jessie and buster (T228482)

Mentioned in SAL (#wikimedia-operations) [2019-07-19T00:04:30Z] <mutante> install1002 - exported indices for new scap version - copied back from buster to stretch - upgraded scap version on mw2250 - scap pull now works and starts to rsync (T228482, T228328, T226948)

built, published, deployed and tested on mw2250. just needs to be rolled out across the cluster with debdeploy now.

Dzahn claimed this task.Jul 19 2019, 12:17 AM
Dzahn moved this task from Backlog to Doing on the serviceops board.Jul 19 2019, 7:33 PM
Dzahn closed this task as Resolved.Tue, Jul 23, 11:02 PM

22:36 mutante: rolling out scap 3.11.1-1 on mw-eqiad servers
22:14 mutante: continuing rollout of new scap version 3.11.1-1, starting with kafka-all followed by other cumin-alias groups (T228328)
18:45 mutante: rolling out scap 3.11.1-1 on all mw codfw servers (T228328)
18:43 mutante: rolling out scap 3.11.1-1 on mw canary servers (T228328)
...

all done. https://debmonitor.wikimedia.org/packages/scap